#!/usr/bin/perl
#
# A Perl script that outputs proxy server configuration.
# $Author$
# $Revision$
# $Id$
# Listing 10-3: proxy.pl

# Get the remote host IP from the CGI environment variable
# REMOTE_HOST
my $client = $ENV{REMOTE_HOST};

# Print out the necessary content-type to let the browser
# know that this is a proxy configuration.
print "Content-type: application/x-ns-proxy-autoconfig\n\n";

# If the request came from a host with IP address
# 206.171.50.51 then output proxy configuration
# from subroutine &specialClient
#
if ($client =~ /206\.171\.50\.51/){

    &specialClient;

} else {


    # If the request came from any other clients, then
    # send proxy configuration for all other clients

    &otherClients;
}

exit 0;

sub specialClient{
#
# This subroutine outputs a proxy server configuration
#

   print <<FUNC;

       function FindProxyForURL(url, host)
       {
           if (isPlainHostName(host) ||
               dnsDomainIs(host, ".nitec.com"))
               return "DIRECT";
           else if (shExpMatch(host, "*.com"))
               return "PROXY com-proxy.nitec.com:8080; "

           else if (shExpMatch(host, "*.edu"))
               return "PROXY edu-proxy.nitec.com:8080; "

           else
               return "DIRECT";
       }
FUNC

}

sub otherClients{
#
# This subroutine outputs a proxy server configuration
#

   print <<FUNC;

       function FindProxyForURL(url, host)
       {
           return "DIRECT";
       }

FUNC

}
