
#!/bin/sh
# Purpose: a simple shell script to copy live data files
# to staging area and to rename the staging area into a live
# production site. It also renames the old production
# area into a staging area.
#
# Copyright  2001 Mohammed J. Kabir
# License: GNU Public License
# Listing 11-1:	stage2production.sh script

# You will need to change these variables to use this script.
DATA_FILES="/www/mycompany/public/htdocs/cgi-data/*.dat";
TEMP_DIR="/www/mycompany/public.old";
PRODUCTION_DIR="/www/mycompany/public";
STAGE_DIR="/www/mycompany/staging";

# Copy the live data to the staging directory.
/bin/cp $DATA_FILES $STAGE_DIR

# Temporarily rename current production directory to TEMP_DIR
/bin/mv PRODUCTION_DIR   TEMP_DIR

# Rename the current staging site to 
# production directory
/bin/mv STAGE_DIR   PRODUCTION_DIR

# Rename the temporary (old) production directory
# to staging directory
/bin/mv TEMP_DIR  STAGE_SITE

# To be safe, change the current production directory's
# permission setting so that the Apache user (httpd)
# and Apache group (httpd) can read all files. 
# If you use some other user and group for Apache, you
# have to modify this command according to
# your setup.

/bin/chown -R httpd.httpd  $PRODUCTION_DIR

# Change the  file permission so that the owner 
# (httpd in this case) has  read, write, and
# executepermission, the group (httpd in this case) 
# has read and execute permission, and everyone no 
# one else has permission to see the production 
# directory files

/bin/chmod - R 750  $PRODUCTION_DIR
