#!/bin/sh
#
# Simply script to create a ramfs file system
# on $MOUNTPOINT (which must exists).
#
# It copies files from $ORIG_DIR to $MOUNTPOINT
# and changes ownership of $MOUTPOINT to
# $USER and $GROUP
#
# Change values for these variables to suit
# your needs.
#
# Listing 23-4:	make_ramfs.sh

MOUNTPOINT=/ram
ORIG_DIR=/www/commonfiles

USER=httpd
GROUP=httpd

MOUNTCMD=/bin/mount
CHOWN=/bin/chown
CP=/bin/cp

echo -n "Creating ramfs file system in $MOUNTPOINT ";
$MOUNTCMD -t ramfs none $MOUNTPOINT
echo "done.";

echo -n "Copying $ORIG_DIR to $MOUNTPOINT ... ";
$CP -r $ORIG_DIR $MOUNTPOINT
echo "done.";
echo -n "Changing ownership to $USER:$GROUP for $MOUNTPOINT ...";
$CHOWN -R $USER:$GROUP $MOUNTPOINT
echo "done.";
